function initME = initCVT(conScale)

initME.CVT = CVT(conScale);
initME.costD = initME.CVT.cost;
initME.massD = initME.CVT.mass;

end


function CVT = CVT(operation_range)

CVT.efficiency = 1;

%Mass and cost
CVT.mass = 5;
CVT.cost = 0;

% From HIGH SPEED FLYWHEEL BASED HYBRID SYSTEMS FOR LOW CARBON VEHICLES:
% CVT mass = 8Nm/kg

end
