function simu = runSimu(in,Powertrain)

initVariant; % Remember to adjust maximum powertrain variants here

myopts = simset('SrcWorkspace','current','SaveFormat','Structure');

[simu.t,~, ...
    simSpeed, ...
    simHeight, ...
    simOut1, ...
    simOut2, ...
    simOut3, ...
    simOut4, ...
    simOut5, ...
    simOut6, ...
    simPre_dmd, ...
    simPost_dmd, ...
    simSeries_dmd] = sim('vehModel',[],myopts);

simu.speed = simSpeed.signals.values;
simu.height = simHeight.signals.values;
simu.Out1 = simOut1.signals.values;
simu.Out2 = simOut2.signals.values;
simu.Out3 = simOut3.signals.values;
simu.Out4 = simOut4.signals.values;
simu.Out5 = simOut5.signals.values;
simu.Out6 = simOut6.signals.values;
simu.Pre_dmd = simPre_dmd.signals.values;
simu.Post_dmd = simPost_dmd.signals.values;
simu.Series_dmd = simSeries_dmd.signals.values;

end
