function simuME = simuGenSet(in,simu,Powertrain)

simuME.SOC = simu.Out2;
simuME.mpg = calcMPG(simu.Out6,simu.distance);

if max(simu.t) < in.sim_stoptime
    simuME.wtw_CO2 = inf;
    simuME.ttw_CO2 = inf;
else
    wtw_CO2_1 = simu.Out4(end);
    simuME.ttw_CO2 = simu.Out5(end);
    in.batt.init = simuME.SOC(end);
    in.sim_stoptime = 50000;
    in.vehMode = 2;
    
    %     initVariant;
    %
    %     myopts = simset('SrcWorkspace','current');
    %
    %     [simu.t_chg,simu.x_chg, ...
    %         simu.speed, ...
    %         simu.height, ...
    %         simu.Out1, ...
    %         simu.Out2, ...
    %         simu.Out3, ...
    %         simu.Out4, ...
    %         simu.Out5, ...
    %         simu.Out6, ...
    %         simu.Pre_dmd, ...
    %         simu.Post_dmd, ...
    %         simu.Series_dmd] = sim('vehModel',[],myopts);
    
    simu = runSimu(in,Powertrain);
    
    simuME.t_chg = simu.t;
    wtw_CO2_2 = simu.Out1(end);
    simuME.wtw_CO2 = wtw_CO2_1 + wtw_CO2_2;
    simuME.SOC_chg = simu.Out2;
    simuME.batt_Energy = simu.Out3(:);
    simuME.batt_EnergykWh = simuME.batt_Energy.*2.77777778e-7;
end

end