function licenseFlag = gotLicense(whatLicense,attemptLicense,waitTime)

saveString=['Checking license for ' whatLicense '...'];
disp(saveString);

TF = 0;
licenseFlag=0;
i = 0;

if ~nargin
    return;
else
    if isempty(attemptLicense)
        attemptLicense = 0;
    end
    if isempty(waitTime)
        waitTime = 5;
    end
end

try
    
    if (license('test',whatLicense)) == 1
        while TF ~= 1
            [TF errmsg] = license('checkout',whatLicense);
            
            if TF == 1
                licenseFlag = TF;
            else
                if attemptLicense == 0
                    break;
                else
                    if i < attemptLicense
                        pause(waitTime);
                        i = i + 1;
                        disp(errmsg);
                        saveString=['License checkout reattempt #' num2str(i)];
                        disp(saveString);
                    else
                        saveString=['No free license for ' whatLicense ' available'];
                        disp(saveString);
                        break;
                    end
                end
            end
        end
    else
        saveString=['License for ' whatLicense ' does not exist'];
        disp(saveString);
    end
    
catch ME
    licenseFlag=0;
    keyboard;
end

end
