function [newPopulation scores] = replaceNonValid(funHdl,LB,UB,population,multiObj)

popSize = size(population,1);

population(any(repmat(LB,popSize,1)>population),:) = [];
population(any(repmat(UB,popSize,1)<population),:) = [];

newPopulation = [];
scores = [];

while size(newPopulation,1)~=popSize
    
    parfor i = 1:size(population,1);
        res = feval(funHdl,population(i,:));
        if multiObj == 0
            if ~isinf(res)
                newPopulation = [newPopulation;  population(i,:)];
                scores = [scores; res];
            end
        else
            if ~isinf(res(1)) %res(1) ~= 1e12
                if ~isinf(res(2)) %res(2) ~= 1e12
                    newPopulation = [newPopulation;  population(i,:)];
                    scores = [scores; res];
                end
            end
        end
    end
    
    population = getIniPop(LB,UB,popSize-size(newPopulation,1),1);
end

end